summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andy Bailey <GooseYArd@gmail.com>2010-04-09 16:58:54 +0100
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-15 10:26:06 +0200
commitd9f5409e5f14176c36e0f9617933cc2ffe401b4d (patch)
tree2b43b7a02a9a1debeb6711f8c90470412333de06
parenteaa0cbc7c1cd7a5362cd47826918e284ac4d84f1 (diff)
downloadslackbuilds-d9f5409e5f14176c36e0f9617933cc2ffe401b4d.tar.gz
slackbuilds-d9f5409e5f14176c36e0f9617933cc2ffe401b4d.tar.xz
development/p4v: Added.
The Perforce Visual Client, provides quick and easy access to versioned files. Thanks to Andy Bailey.
-rw-r--r--development/p4v/README9
-rw-r--r--development/p4v/doinst.sh3
-rwxr-xr-xdevelopment/p4v/p4v.SlackBuild87
-rw-r--r--development/p4v/p4v.desktop10
-rw-r--r--development/p4v/p4v.info10
-rw-r--r--development/p4v/p4v.pngbin0 -> 2243 bytes
-rw-r--r--development/p4v/slack-desc19
7 files changed, 138 insertions, 0 deletions
diff --git a/development/p4v/README b/development/p4v/README
new file mode 100644
index 0000000000..15afcd1b29
--- /dev/null
+++ b/development/p4v/README
@@ -0,0 +1,9 @@
+P4V, the Perforce Visual Client, provides quick and easy access to versioned
+files through a graphical interface that is consistent across multiple
+operating systems.
+
+P4V represents the files in a project in the same
+file/folder hierarchy employed by the native operating system. File state
+information indicates which file versions are currently on the user's
+workstation and on the Perforce Server.
+
diff --git a/development/p4v/doinst.sh b/development/p4v/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/p4v/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/p4v/p4v.SlackBuild b/development/p4v/p4v.SlackBuild
new file mode 100755
index 0000000000..51840786b7
--- /dev/null
+++ b/development/p4v/p4v.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for p4v
+
+# Copyright 2009 Raymond Bailey <bailey@akamai.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org --michiel
+PRGNAM=p4v
+VERSION=${VERSION:-2009.2.236331}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+rm bin/qt.conf
+cp -a bin $PKG/usr/bin
+mv lib/p4v $PKG/usr/lib${LIBDIRSUFFIX}/p4v
+
+# Adapt the path for lib/lib64
+sed -i "s%prefix/lib/%prefix/lib${LIBDIRSUFFIX}/%g" $PKG/usr/bin/$PRGNAM
+sed -i "s%prefix/lib/%prefix/lib${LIBDIRSUFFIX}/%g" $PKG/usr/bin/p4merge
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/p4v/p4v.desktop b/development/p4v/p4v.desktop
new file mode 100644
index 0000000000..72bb187f38
--- /dev/null
+++ b/development/p4v/p4v.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=p4v
+GenericName=Perforce Visual Client
+Comment=Use Perforce Version Control
+Exec=p4v
+Icon=p4v
+Categories=Development;
+Terminal=false
+Type=Application
+Encoding=UTF-8
diff --git a/development/p4v/p4v.info b/development/p4v/p4v.info
new file mode 100644
index 0000000000..d3633a7bf4
--- /dev/null
+++ b/development/p4v/p4v.info
@@ -0,0 +1,10 @@
+PRGNAM="p4v"
+VERSION="2009.2.236331"
+HOMEPAGE="http://www.perforce.com/"
+DOWNLOAD="http://www.perforce.com/downloads/perforce/r09.2/bin.linux26x86/p4v.tgz"
+MD5SUM="c294e6a34880800d58b0a237a67d057f"
+DOWNLOAD_x86_64="http://www.perforce.com/downloads/perforce/r09.2/bin.linux26x86_64/p4v.tgz"
+MD5SUM_x86_64="eb1308af39c00d4ae5914e3f89e93786"
+MAINTAINER="Andy Bailey"
+EMAIL="GooseYArd@gmail.com"
+APPROVED="michiel"
diff --git a/development/p4v/p4v.png b/development/p4v/p4v.png
new file mode 100644
index 0000000000..0fb0f74c10
--- /dev/null
+++ b/development/p4v/p4v.png
Binary files differ
diff --git a/development/p4v/slack-desc b/development/p4v/slack-desc
new file mode 100644
index 0000000000..93c755165a
--- /dev/null
+++ b/development/p4v/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+p4v: p4v (Perforce Visual Client)
+p4v:
+p4v: P4V, the Perforce Visual Client, provides quick and easy access to
+p4v: versioned files through a graphical interface. P4V represents the
+p4v: files in a project in a file/folder hierarchy. File state
+p4v: information indicates which file versions are currently on the
+p4v: user's workstation and on the Perforce Server.
+p4v:
+p4v: Homepage: http://www.perforce.com/
+p4v:
+p4v: